import { type PropType } from 'vue';
import type { Option, Theme, UpdateOptions } from '../types.js';
import { type EChartsElement } from '../utils/wc.js';
import '#build/echarts.mjs';
declare const _default: import("vue").DefineComponent<{
    loading: BooleanConstructor;
    loadingOptions: PropType<import("../types").LoadingOptions>;
    autoresize: PropType<boolean | {
        throttle?: number | undefined;
        onResize?: (() => void) | undefined;
    }>;
    option: PropType<import("echarts/core").EChartsCoreOption>;
    theme: {
        type: PropType<Theme>;
    };
    initOptions: PropType<import("echarts/core").EChartsInitOpts>;
    updateOptions: PropType<import("echarts/core").SetOptionOpts>;
    group: StringConstructor;
    manualUpdate: BooleanConstructor;
}, {
    getWidth: () => number;
    getHeight: () => number;
    getDom: () => HTMLElement;
    getOption: () => import("echarts/core").EChartsCoreOption;
    resize: (opts?: import("echarts/core").ResizeOpts | undefined) => void;
    dispatchAction: (payload: import("echarts/core").Payload, opt?: boolean | {
        silent?: boolean | undefined;
        flush?: boolean | undefined;
    } | undefined) => void;
    convertToPixel: {
        (finder: string | {
            seriesIndex?: (number | false | number[] | "all" | "none") | undefined;
            seriesId?: ((string | number) | (string | number)[]) | undefined;
            seriesName?: ((string | number) | (string | number)[]) | undefined;
            geoIndex?: (number | false | number[] | "all" | "none") | undefined;
            geoId?: ((string | number) | (string | number)[]) | undefined;
            geoName?: ((string | number) | (string | number)[]) | undefined;
            bmapIndex?: (number | false | number[] | "all" | "none") | undefined;
            bmapId?: ((string | number) | (string | number)[]) | undefined;
            bmapName?: ((string | number) | (string | number)[]) | undefined;
            xAxisIndex?: (number | false | number[] | "all" | "none") | undefined;
            xAxisId?: ((string | number) | (string | number)[]) | undefined;
            xAxisName?: ((string | number) | (string | number)[]) | undefined;
            yAxisIndex?: (number | false | number[] | "all" | "none") | undefined;
            yAxisId?: ((string | number) | (string | number)[]) | undefined;
            yAxisName?: ((string | number) | (string | number)[]) | undefined;
            gridIndex?: (number | false | number[] | "all" | "none") | undefined;
            gridId?: ((string | number) | (string | number)[]) | undefined;
            gridName?: ((string | number) | (string | number)[]) | undefined;
            dataIndex?: number | undefined;
            dataIndexInside?: number | undefined;
        }, value: (string | number) | Date): number;
        (finder: string | {
            seriesIndex?: (number | false | number[] | "all" | "none") | undefined;
            seriesId?: ((string | number) | (string | number)[]) | undefined;
            seriesName?: ((string | number) | (string | number)[]) | undefined;
            geoIndex?: (number | false | number[] | "all" | "none") | undefined;
            geoId?: ((string | number) | (string | number)[]) | undefined;
            geoName?: ((string | number) | (string | number)[]) | undefined;
            bmapIndex?: (number | false | number[] | "all" | "none") | undefined;
            bmapId?: ((string | number) | (string | number)[]) | undefined;
            bmapName?: ((string | number) | (string | number)[]) | undefined;
            xAxisIndex?: (number | false | number[] | "all" | "none") | undefined;
            xAxisId?: ((string | number) | (string | number)[]) | undefined;
            xAxisName?: ((string | number) | (string | number)[]) | undefined;
            yAxisIndex?: (number | false | number[] | "all" | "none") | undefined;
            yAxisId?: ((string | number) | (string | number)[]) | undefined;
            yAxisName?: ((string | number) | (string | number)[]) | undefined;
            gridIndex?: (number | false | number[] | "all" | "none") | undefined;
            gridId?: ((string | number) | (string | number)[]) | undefined;
            gridName?: ((string | number) | (string | number)[]) | undefined;
            dataIndex?: number | undefined;
            dataIndexInside?: number | undefined;
        }, value: ((string | number) | Date)[]): number[];
    };
    convertFromPixel: {
        (finder: string | {
            seriesIndex?: (number | false | number[] | "all" | "none") | undefined;
            seriesId?: ((string | number) | (string | number)[]) | undefined;
            seriesName?: ((string | number) | (string | number)[]) | undefined;
            geoIndex?: (number | false | number[] | "all" | "none") | undefined;
            geoId?: ((string | number) | (string | number)[]) | undefined;
            geoName?: ((string | number) | (string | number)[]) | undefined;
            bmapIndex?: (number | false | number[] | "all" | "none") | undefined;
            bmapId?: ((string | number) | (string | number)[]) | undefined;
            bmapName?: ((string | number) | (string | number)[]) | undefined;
            xAxisIndex?: (number | false | number[] | "all" | "none") | undefined;
            xAxisId?: ((string | number) | (string | number)[]) | undefined;
            xAxisName?: ((string | number) | (string | number)[]) | undefined;
            yAxisIndex?: (number | false | number[] | "all" | "none") | undefined;
            yAxisId?: ((string | number) | (string | number)[]) | undefined;
            yAxisName?: ((string | number) | (string | number)[]) | undefined;
            gridIndex?: (number | false | number[] | "all" | "none") | undefined;
            gridId?: ((string | number) | (string | number)[]) | undefined;
            gridName?: ((string | number) | (string | number)[]) | undefined;
            dataIndex?: number | undefined;
            dataIndexInside?: number | undefined;
        }, value: number): number;
        (finder: string | {
            seriesIndex?: (number | false | number[] | "all" | "none") | undefined;
            seriesId?: ((string | number) | (string | number)[]) | undefined;
            seriesName?: ((string | number) | (string | number)[]) | undefined;
            geoIndex?: (number | false | number[] | "all" | "none") | undefined;
            geoId?: ((string | number) | (string | number)[]) | undefined;
            geoName?: ((string | number) | (string | number)[]) | undefined;
            bmapIndex?: (number | false | number[] | "all" | "none") | undefined;
            bmapId?: ((string | number) | (string | number)[]) | undefined;
            bmapName?: ((string | number) | (string | number)[]) | undefined;
            xAxisIndex?: (number | false | number[] | "all" | "none") | undefined;
            xAxisId?: ((string | number) | (string | number)[]) | undefined;
            xAxisName?: ((string | number) | (string | number)[]) | undefined;
            yAxisIndex?: (number | false | number[] | "all" | "none") | undefined;
            yAxisId?: ((string | number) | (string | number)[]) | undefined;
            yAxisName?: ((string | number) | (string | number)[]) | undefined;
            gridIndex?: (number | false | number[] | "all" | "none") | undefined;
            gridId?: ((string | number) | (string | number)[]) | undefined;
            gridName?: ((string | number) | (string | number)[]) | undefined;
            dataIndex?: number | undefined;
            dataIndexInside?: number | undefined;
        }, value: number[]): number[];
    };
    containPixel: (finder: string | {
        seriesIndex?: (number | false | number[] | "all" | "none") | undefined;
        seriesId?: ((string | number) | (string | number)[]) | undefined;
        seriesName?: ((string | number) | (string | number)[]) | undefined;
        geoIndex?: (number | false | number[] | "all" | "none") | undefined;
        geoId?: ((string | number) | (string | number)[]) | undefined;
        geoName?: ((string | number) | (string | number)[]) | undefined;
        bmapIndex?: (number | false | number[] | "all" | "none") | undefined;
        bmapId?: ((string | number) | (string | number)[]) | undefined;
        bmapName?: ((string | number) | (string | number)[]) | undefined;
        xAxisIndex?: (number | false | number[] | "all" | "none") | undefined;
        xAxisId?: ((string | number) | (string | number)[]) | undefined;
        xAxisName?: ((string | number) | (string | number)[]) | undefined;
        yAxisIndex?: (number | false | number[] | "all" | "none") | undefined;
        yAxisId?: ((string | number) | (string | number)[]) | undefined;
        yAxisName?: ((string | number) | (string | number)[]) | undefined;
        gridIndex?: (number | false | number[] | "all" | "none") | undefined;
        gridId?: ((string | number) | (string | number)[]) | undefined;
        gridName?: ((string | number) | (string | number)[]) | undefined;
        dataIndex?: number | undefined;
        dataIndexInside?: number | undefined;
    }, value: number[]) => boolean;
    getDataURL: (opts?: {
        type?: "svg" | "png" | "jpeg" | undefined;
        pixelRatio?: number | undefined;
        backgroundColor?: import("echarts/core").Color | undefined;
        excludeComponents?: string[] | undefined;
    } | undefined) => string;
    getConnectedDataURL: (opts?: {
        type?: "svg" | "png" | "jpeg" | undefined;
        pixelRatio?: number | undefined;
        backgroundColor?: import("echarts/core").Color | undefined;
        connectedBackgroundColor?: import("echarts/core").Color | undefined;
        excludeComponents?: string[] | undefined;
    } | undefined) => string;
    appendData: (params: {
        seriesIndex: number;
        data: any;
    }) => void;
    clear: () => void;
    isDisposed: () => boolean;
    dispose: () => void;
    chart: import("vue").ShallowRef<import("echarts/core").ECharts | undefined>;
    root: import("vue").ShallowRef<EChartsElement | undefined>;
    inner: import("vue").ShallowRef<any>;
    setOption: (option: Option, updateOptions?: UpdateOptions) => void;
    nonEventAttrs: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    nativeListeners: Record<string, unknown>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    click: (params: import("echarts/core").ECElementEvent) => boolean;
    dblclick: (params: import("echarts/core").ECElementEvent) => boolean;
    mouseout: (params: import("echarts/core").ECElementEvent) => boolean;
    mouseover: (params: import("echarts/core").ECElementEvent) => boolean;
    mouseup: (params: import("echarts/core").ECElementEvent) => boolean;
    mousedown: (params: import("echarts/core").ECElementEvent) => boolean;
    mousemove: (params: import("echarts/core").ECElementEvent) => boolean;
    contextmenu: (params: import("echarts/core").ECElementEvent) => boolean;
    globalout: (params: import("echarts/core").ECElementEvent) => boolean;
} & {
    highlight: null;
    downplay: null;
    selectchanged: null;
    legendselectchanged: null;
    legendselected: null;
    legendunselected: null;
    legendselectall: null;
    legendinverseselect: null;
    legendscroll: null;
    datazoom: null;
    datarangeselected: null;
    graphroam: null;
    georoam: null;
    treeroam: null;
    timelinechanged: null;
    timelineplaychanged: null;
    restore: null;
    dataviewchanged: null;
    magictypechanged: null;
    geoselectchanged: null;
    geoselected: null;
    geounselected: null;
    axisareaselected: null;
    brush: null;
    brushEnd: null;
    brushselected: null;
    globalcursortaken: null;
} & {
    rendered: (params: {
        elapsedTime: number;
    }) => boolean;
    finished: () => boolean;
} & {
    "zr:mousewheel": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:drag": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dragstart": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dragend": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dragenter": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dragleave": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dragover": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:drop": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:click": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dblclick": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:mouseout": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:mouseover": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:mouseup": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:mousedown": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:mousemove": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:contextmenu": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:globalout": (params: import("echarts/core").ElementEvent) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    loading: BooleanConstructor;
    loadingOptions: PropType<import("../types").LoadingOptions>;
    autoresize: PropType<boolean | {
        throttle?: number | undefined;
        onResize?: (() => void) | undefined;
    }>;
    option: PropType<import("echarts/core").EChartsCoreOption>;
    theme: {
        type: PropType<Theme>;
    };
    initOptions: PropType<import("echarts/core").EChartsInitOpts>;
    updateOptions: PropType<import("echarts/core").SetOptionOpts>;
    group: StringConstructor;
    manualUpdate: BooleanConstructor;
}>> & {
    onClick?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onDblclick?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onMouseout?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onMouseover?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onMouseup?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onMousedown?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onMousemove?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onContextmenu?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onGlobalout?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    "onZr:mousewheel"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:drag"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dragstart"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dragend"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dragenter"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dragleave"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dragover"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:drop"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:click"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dblclick"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:mouseout"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:mouseover"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:mouseup"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:mousedown"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:mousemove"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:contextmenu"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:globalout"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    onHighlight?: ((...args: any[]) => any) | undefined;
    onDownplay?: ((...args: any[]) => any) | undefined;
    onSelectchanged?: ((...args: any[]) => any) | undefined;
    onLegendselectchanged?: ((...args: any[]) => any) | undefined;
    onLegendselected?: ((...args: any[]) => any) | undefined;
    onLegendunselected?: ((...args: any[]) => any) | undefined;
    onLegendselectall?: ((...args: any[]) => any) | undefined;
    onLegendinverseselect?: ((...args: any[]) => any) | undefined;
    onLegendscroll?: ((...args: any[]) => any) | undefined;
    onDatazoom?: ((...args: any[]) => any) | undefined;
    onDatarangeselected?: ((...args: any[]) => any) | undefined;
    onGraphroam?: ((...args: any[]) => any) | undefined;
    onGeoroam?: ((...args: any[]) => any) | undefined;
    onTreeroam?: ((...args: any[]) => any) | undefined;
    onTimelinechanged?: ((...args: any[]) => any) | undefined;
    onTimelineplaychanged?: ((...args: any[]) => any) | undefined;
    onRestore?: ((...args: any[]) => any) | undefined;
    onDataviewchanged?: ((...args: any[]) => any) | undefined;
    onMagictypechanged?: ((...args: any[]) => any) | undefined;
    onGeoselectchanged?: ((...args: any[]) => any) | undefined;
    onGeoselected?: ((...args: any[]) => any) | undefined;
    onGeounselected?: ((...args: any[]) => any) | undefined;
    onAxisareaselected?: ((...args: any[]) => any) | undefined;
    onBrush?: ((...args: any[]) => any) | undefined;
    onBrushEnd?: ((...args: any[]) => any) | undefined;
    onBrushselected?: ((...args: any[]) => any) | undefined;
    onGlobalcursortaken?: ((...args: any[]) => any) | undefined;
    onRendered?: ((params: {
        elapsedTime: number;
    }) => any) | undefined;
    onFinished?: (() => any) | undefined;
}, {
    manualUpdate: boolean;
    loading: boolean;
}, {}>;
export default _default;
