import { watch } from "vue";
import { throttle } from "echarts/core";
export function useAutoresize(chart, autoresize, root) {
  let observer;
  watch([root, chart, autoresize], ([root2, chart2, autoresize2], _, cleanup) => {
    if (root2 && chart2 && autoresize2) {
      const autoresizeOptions = autoresize2 === true ? {} : autoresize2;
      const { throttle: wait = 100, onResize } = autoresizeOptions;
      const callback = () => {
        chart2.resize({ width: "auto", height: "auto" });
        onResize?.();
      };
      observer = new ResizeObserver(wait ? throttle(callback, wait) : callback);
      observer.observe(root2);
    }
    cleanup(() => {
      if (root2 && observer) {
        observer.disconnect();
        observer = void 0;
      }
    });
  });
}
export const autoresizeProps = {
  autoresize: [Boolean, Object]
};
